## org.apache.poi.ss.formula.functions
Class Countif

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed2ArgFunction
          org.apache.poi.ss.formula.functions.Countif

All Implemented Interfaces:
  Function, Function2Arg

    public final class Countif

extends Fixed2ArgFunction

Implementation for the function COUNTIF

Syntax: COUNTIF ( range, criteria )

range | is the range of cells to be counted based on the criteria
criteria | is used to determine which cells to count

Author:
  Josh Micich

Constructor Summary
`Countif()`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0, ValueEval arg1)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed2ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Countif

    public Countif()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0,
                              ValueEval arg1)

  Description copied from interface: `Function2Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.